
TYPO3.TYPO3CR - Task # 32298

Story # 40585 (Closed): [Page Tree] As a content editor I want to move pages by drag and drop

Status: Closed Priority: Must have
Author: Markus Goldbeck Category: Node handling
Created: 2011-12-05 Assigned To: Karsten Dambekalns
Updated: 2012-10-04 Due date:
Sprint:
Subject: Feature Moving Pages into branches / create new branches
Description

Missing Implementation of moving pages into branches in /TYPO3.TYPO3CR/Classes/Domain/Model/Node.php

The functions moveBefore() and moveAfter() are implemented but there is no possibility to move pages into branches or create new
branches by moving a page on another.
Needed functions which update recursivly the paths of their childs:
    -  moveIntoBefore()
    -  moveIntoAfter()
    -  special case moveInto() for creating a new branch

Related issues:
related to TYPO3.Neos - Bug # 31716: Page Tree is not working consistently wh... Resolved 2011-11-09

Associated revisions
Revision ef045d74 - 2012-09-05 09:57 - Karsten Dambekalns

[TASK] Make setPath() protected and recursive

This removes setPath() from the NodeInterface and ProxyNode. It is
now protected and works recursively by default, to ease moving and
renaming of nodes.

Change-Id: I59f27620873400045ca3fac1bb7918a224665671
Related: #40622
Related: #32298
Related: #40623

Revision dfa39cfb - 2012-09-05 10:00 - Karsten Dambekalns

[TASK] Add getParentPath() to NodeInterface

With this change getParentPath() is available not only on Node
but also on ProxyNode.

Change-Id: I172fbf9de6d0257977e188796649bce41c45ed75
Related: #40622
Related: #32298
Related: #40623

Revision 2fa9a703 - 2012-09-05 12:13 - Karsten Dambekalns
[FEATURE] Moving of nodes into other nodes

Adds moveInto() to the NodeInterface and provides implementation and
tests for it.

    -  NodeInterface moveInto(NodeInterface $referenceNode, $name)

Change-Id: Iff50a5b0d45f3e1f79658b30f8297b1101331ac7
Resolves: #32298

Revision 11a3e348 - 2012-09-05 12:13 - Karsten Dambekalns

[FEATURE] Allow Nodes to be moved to a different level

moveBefore() and moveAfter() could not yet move nodes to a different
level. This change adds support for that.

Change-Id: I982e9a917265d2c7f1ef1c0d15297673724722c0
Resolves: #32298

History
#1 - 2012-09-04 12:38 - Markus Goldbeck
- Target version set to Sprint 10 (1.0 TP1)

#2 - 2012-09-04 12:42 - Markus Goldbeck
- Parent task set to #40585

#3 - 2012-09-04 19:45 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#4 - 2012-09-04 21:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14343

#5 - 2012-09-04 21:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14344

#6 - 2012-09-04 21:20 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#7 - 2012-09-04 22:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14343
#8 - 2012-09-04 22:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14344

#9 - 2012-09-05 10:09 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14343

#10 - 2012-09-05 10:09 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14344

#11 - 2012-09-05 12:13 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14343

#12 - 2012-09-05 12:13 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14344

#13 - 2012-09-05 12:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2fa9a7037e8de4d7b13f1dba120cd7f9c8c85cf1.

#14 - 2012-10-04 14:01 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
